<template>
  <v-list-group v-if="first">
    <template v-slot:activator>
      <v-list-item-icon>
        <v-icon>mdi-home</v-icon>
      </v-list-item-icon>
      <v-list-item-title>
        <router-link :to="{ name: 'home' }" class="nav-link">{{
          node.label
        }}</router-link></v-list-item-title
      >
    </template>
    <node
      v-for="(child, index) in node.children"
      :node="child"
      :indexParent="index"
      :key="index + '.' + indexParent"
    ></node>
  </v-list-group>
  <v-list-group
    no-action
    sub-group
    value="true"
    v-else-if="node.children && node.children.length"
  >
    <template v-slot:activator>
      <v-list-item-icon>
        <v-icon>mdi-star</v-icon>
      </v-list-item-icon>
      <v-list-item-title>{{ node.label }}</v-list-item-title>
    </template>
    <node
      v-for="(child, index) in node.children"
      :node="child"
      :indexParent="index"
      :key="index + '.' + indexParent"
    ></node>
  </v-list-group>
  <v-list-item v-else>
    <v-list-item-icon>
      <v-icon>mdi-bookmark</v-icon>
    </v-list-item-icon>

    <v-list-item-title>{{ node.label }}</v-list-item-title>
  </v-list-item>
</template>
<script>
export default {
  name: "Component-node",
  props: {
    node: Object,
    indexParent: Number,
    first: Boolean
  },
  created() {
    console.log(this.indexParent);
  }
};
</script>
